Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icealb.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icealb.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icealb.F90	(revision 10968)
@@ -196,5 +196,5 @@
       READ  ( numnam_ice_cfg, namalb, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namalb in configuration namelist', lwp )
-      IF(lwm) WRITE( numoni, namalb )
+      IF(lwm .AND. nprint > 2) WRITE( numoni, namalb )
       !
       IF(lwp) THEN                      ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedia.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedia.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedia.F90	(revision 10968)
@@ -184,5 +184,5 @@
       READ  ( numnam_ice_cfg, namdia, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdia in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namdia )
+      IF(lwm .AND. nprint > 2) WRITE ( numoni, namdia )
       !
       IF(lwp) THEN                  ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn.F90	(revision 10968)
@@ -330,5 +330,5 @@
       READ  ( numnam_ice_cfg, namdyn, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdyn in configuration namelist', lwp )
-      IF(lwm) WRITE( numoni, namdyn )
+      IF(lwm .AND. nprint > 2) WRITE( numoni, namdyn )
       !
       IF(lwp) THEN                     ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_adv.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_adv.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_adv.F90	(revision 10968)
@@ -162,5 +162,5 @@
       READ  ( numnam_ice_cfg, namdyn_adv, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdyn_adv in configuration namelist', lwp )
-      IF(lwm) WRITE( numoni, namdyn_adv )
+      IF(lwm .AND. nprint > 2) WRITE( numoni, namdyn_adv )
       !
       IF(lwp) THEN                     ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_rdgrft.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_rdgrft.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_rdgrft.F90	(revision 10968)
@@ -915,5 +915,5 @@
       READ  ( numnam_ice_cfg, namdyn_rdgrft, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdyn_rdgrft in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namdyn_rdgrft )
+      IF(lwm .AND. nprint > 2) WRITE ( numoni, namdyn_rdgrft )
       !
       IF (lwp) THEN                          ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_rhg.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_rhg.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_rhg.F90	(revision 10968)
@@ -115,5 +115,5 @@
       READ  ( numnam_ice_cfg, namdyn_rhg, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namdyn_rhg in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namdyn_rhg )
+      IF(lwm .AND. nprint > 2) WRITE ( numoni, namdyn_rhg )
       !
       IF(lwp) THEN                     ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_rhg_evp.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_rhg_evp.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icedyn_rhg_evp.F90	(revision 10968)
@@ -932,5 +932,5 @@
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
          !                                   ! -------------------
-         IF(lwp) WRITE(numout,*) '---- rhg-rst ----'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '---- rhg-rst ----'
          iter = kt + nn_fsbc - 1             ! ice restarts are written at kt == nitrst - nn_fsbc + 1
          !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/iceistate.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/iceistate.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/iceistate.F90	(revision 10968)
@@ -524,5 +524,5 @@
       READ  ( numnam_ice_cfg, namini, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namini in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namini )
+      IF(lwm .AND. nprint > 2) WRITE ( numoni, namini )
       !
       slf_i(jp_hti) = sn_hti  ;  slf_i(jp_hts) = sn_hts
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/iceitd.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/iceitd.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/iceitd.F90	(revision 10968)
@@ -659,5 +659,5 @@
       READ  ( numnam_ice_cfg, namitd, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namitd in configuration namelist', lwp )
-      IF(lwm) WRITE( numoni, namitd )
+      IF(lwm .AND. nprint > 2) WRITE( numoni, namitd )
       !
       IF(lwp) THEN                  ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icerst.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icerst.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icerst.F90	(revision 10968)
@@ -67,5 +67,5 @@
             clpath = TRIM(cn_icerst_outdir) 
             IF( clpath(LEN_TRIM(clpath):) /= '/' ) clpath = TRIM(clpath)//'/'
-            IF(lwp) THEN
+            IF(lwp .AND. nprint > 0) THEN
                WRITE(numout,*)
                WRITE(numout,*) '             open ice restart NetCDF file: ',TRIM(clpath)//clname
@@ -104,5 +104,5 @@
       iter = kt + nn_fsbc - 1   ! ice restarts are written at kt == nitrst - nn_fsbc + 1
 
-      IF( iter == nitrst ) THEN
+      IF( iter == nitrst .AND. nprint > 0 ) THEN
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) 'ice_rst_write : write ice restart file  kt =', kt
@@ -176,5 +176,5 @@
       !!----------------------------------------------------------------------
 
-      IF(lwp) THEN
+      IF(lwp .AND. nprint > 0) THEN
          WRITE(numout,*)
          WRITE(numout,*) 'ice_rst_read: read ice NetCDF restart file'
@@ -186,6 +186,6 @@
       CALL iom_get( numrir, 'nn_fsbc', zfice )
       CALL iom_get( numrir, 'kt_ice' , ziter )    
-      IF(lwp) WRITE(numout,*) '   read ice restart file at time step    : ', ziter
-      IF(lwp) WRITE(numout,*) '   in any case we force it to nit000 - 1 : ', nit000 - 1
+      IF(lwp .AND. nprint > 0) WRITE(numout,*) '   read ice restart file at time step    : ', ziter
+      IF(lwp .AND. nprint > 0) WRITE(numout,*) '   in any case we force it to nit000 - 1 : ', nit000 - 1
 
       ! Control of date
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icesbc.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icesbc.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icesbc.F90	(revision 10968)
@@ -276,5 +276,5 @@
       READ  ( numnam_ice_cfg, namsbc, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc in configuration namelist', lwp )
-      IF(lwm) WRITE( numoni, namsbc )
+      IF(lwm .AND. nprint > 2) WRITE( numoni, namsbc )
       !
       IF(lwp) THEN                     ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icestp.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icestp.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icestp.F90	(revision 10968)
@@ -235,5 +235,6 @@
       CALL ctl_opn( numnam_ice_ref, 'namelist_ice_ref',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
       CALL ctl_opn( numnam_ice_cfg, 'namelist_ice_cfg',    'OLD',     'FORMATTED', 'SEQUENTIAL', -1, numout, lwp )
-      IF(lwm) CALL ctl_opn( numoni, 'output.namelist.ice', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
+      IF(lwm .AND. nprint > 2) &
+          CALL ctl_opn( numoni, 'output.namelist.ice', 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, numout, lwp, 1 )
       !
       CALL par_init                ! set some ice run parameters
@@ -307,5 +308,5 @@
       READ  ( numnam_ice_cfg, nampar, IOSTAT = ios, ERR = 902 )
 902   IF( ios > 0 )   CALL ctl_nam ( ios , 'nampar in configuration namelist', lwp )
-      IF(lwm) WRITE( numoni, nampar )
+      IF(lwm .AND. nprint > 2) WRITE( numoni, nampar )
       !
       IF(lwp) THEN                  ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd.F90	(revision 10968)
@@ -549,5 +549,5 @@
       READ  ( numnam_ice_cfg, namthd, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namthd in configuration namelist', lwp )
-      IF(lwm) WRITE( numoni, namthd )
+      IF(lwm .AND. nprint > 2) WRITE( numoni, namthd )
       !
       IF(lwp) THEN                          ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_da.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_da.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_da.F90	(revision 10968)
@@ -183,5 +183,5 @@
       READ  ( numnam_ice_cfg, namthd_da, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namthd_da in configuration namelist', lwp )
-      IF(lwm) WRITE( numoni, namthd_da )
+      IF(lwm .AND. nprint > 2) WRITE( numoni, namthd_da )
       !
       IF(lwp) THEN                          ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_do.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_do.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_do.F90	(revision 10968)
@@ -446,5 +446,5 @@
       READ  ( numnam_ice_cfg, namthd_do, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namthd_do in configuration namelist', lwp )
-      IF(lwm) WRITE( numoni, namthd_do )
+      IF(lwm .AND. nprint > 2) WRITE( numoni, namthd_do )
       !
       IF(lwp) THEN                          ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_pnd.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_pnd.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_pnd.F90	(revision 10968)
@@ -214,5 +214,5 @@
       READ  ( numnam_ice_cfg, namthd_pnd, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namthd_pnd in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namthd_pnd )
+      IF(lwm .AND. nprint > 2) WRITE ( numoni, namthd_pnd )
       !
       IF(lwp) THEN                        ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_sal.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_sal.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_sal.F90	(revision 10968)
@@ -138,5 +138,5 @@
       READ  ( numnam_ice_cfg, namthd_sal, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namthd_sal in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namthd_sal )
+      IF(lwm .AND. nprint > 2) WRITE ( numoni, namthd_sal )
       !
       IF(lwp) THEN                           ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_zdf.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_zdf.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/icethd_zdf.F90	(revision 10968)
@@ -94,5 +94,5 @@
       READ  ( numnam_ice_cfg, namthd_zdf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namthd_zdf in configuration namelist', lwp )
-      IF(lwm) WRITE( numoni, namthd_zdf )
+      IF(lwm .AND. nprint > 2) WRITE( numoni, namthd_zdf )
       !
       IF(lwp) THEN                          ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/iceupdate.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/iceupdate.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/ICE/iceupdate.F90	(revision 10968)
@@ -442,5 +442,5 @@
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
          !                                   ! -------------------
-         IF(lwp) WRITE(numout,*) '---- update-rst ----'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '---- update-rst ----'
          iter = kt + nn_fsbc - 1             ! ice restarts are written at kt == nitrst - nn_fsbc + 1
          !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ASM/asminc.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ASM/asminc.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ASM/asminc.F90	(revision 10968)
@@ -151,5 +151,5 @@
       READ  ( numnam_cfg, nam_asminc, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nam_asminc in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nam_asminc )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_asminc )
 
       ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/BDY/bdydta.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/BDY/bdydta.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/BDY/bdydta.F90	(revision 10968)
@@ -517,5 +517,5 @@
             READ  ( numnam_cfg, nambdy_dta, IOSTAT = ios, ERR = 902 )
 902         IF( ios >  0 )   CALL ctl_nam ( ios , 'nambdy_dta in configuration namelist', lwp )
-            IF(lwm) WRITE( numond, nambdy_dta )
+            IF(lwm .AND. nprint > 2) WRITE( numond, nambdy_dta )
 
             cn_dir_array(jbdy) = cn_dir
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/BDY/bdyini.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/BDY/bdyini.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/BDY/bdyini.F90	(revision 10968)
@@ -83,5 +83,5 @@
       READ  ( numnam_cfg, nambdy, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nambdy in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nambdy )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nambdy )
 
       IF( .NOT. Agrif_Root() ) ln_bdy = .FALSE.   ! forced for Agrif children
@@ -432,5 +432,5 @@
             READ  ( numnam_cfg, nambdy_index, IOSTAT = ios, ERR = 904 )
 904         IF( ios /= 0 )   CALL ctl_nam ( ios , 'nambdy_index in configuration namelist', lwp )
-            IF(lwm) WRITE ( numond, nambdy_index )
+            IF(lwm .AND. nprint > 2) WRITE ( numond, nambdy_index )
 
             SELECT CASE ( TRIM(ctypebdy) )
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/BDY/bdytides.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/BDY/bdytides.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/BDY/bdytides.F90	(revision 10968)
@@ -105,5 +105,5 @@
             READ  ( numnam_cfg, nambdy_tide, IOSTAT = ios, ERR = 902 )
 902         IF( ios >  0 )   CALL ctl_nam ( ios , 'nambdy_tide in configuration namelist', lwp )
-            IF(lwm) WRITE ( numond, nambdy_tide )
+            IF(lwm .AND. nprint > 2) WRITE ( numond, nambdy_tide )
             !                                               ! Parameter control and print
             IF(lwp) WRITE(numout,*) '  '
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/C1D/c1d.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/C1D/c1d.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/C1D/c1d.F90	(revision 10968)
@@ -57,5 +57,5 @@
       READ  ( numnam_cfg, namc1d, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namc1d in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namc1d )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namc1d )
       !
       IF(lwp) THEN                    ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/C1D/dtauvd.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/C1D/dtauvd.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/C1D/dtauvd.F90	(revision 10968)
@@ -67,5 +67,5 @@
       READ  ( numnam_cfg, namc1d_uvd, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namc1d_uvd in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namc1d_uvd )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namc1d_uvd )
 
       !                             ! force the initialization when dyndmp is used
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/C1D/dyndmp.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/C1D/dyndmp.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/C1D/dyndmp.F90	(revision 10968)
@@ -85,5 +85,5 @@
       READ  ( numnam_cfg, namc1d_dyndmp, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namc1d_dyndmp in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namc1d_dyndmp )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namc1d_dyndmp )
       !
       IF(lwp) THEN                           ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsini.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsini.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/CRS/crsini.F90	(revision 10968)
@@ -86,5 +86,5 @@
       READ  ( numnam_cfg, namcrs, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namcrs in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namcrs )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namcrs )
 
      IF(lwp) THEN
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/dia25h.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/dia25h.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/dia25h.F90	(revision 10968)
@@ -59,5 +59,5 @@
       READ  ( numnam_cfg, nam_dia25h, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nam_dia25h in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nam_dia25h )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_dia25h )
 
       IF(lwp) THEN                   ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diadct.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diadct.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diadct.F90	(revision 10968)
@@ -140,5 +140,5 @@
      READ  ( numnam_cfg, namdct, IOSTAT = ios, ERR = 902 )
 902  IF( ios >  0 ) CALL ctl_nam ( ios , 'namdct in configuration namelist', lwp )
-     IF(lwm) WRITE ( numond, namdct )
+     IF(lwm .AND. nprint > 2) WRITE ( numond, namdct )
 
      IF( lwp ) THEN
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaharm.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaharm.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaharm.F90	(revision 10968)
@@ -93,5 +93,5 @@
       READ  ( numnam_cfg, nam_diaharm, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'nam_diaharm in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nam_diaharm )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_diaharm )
       !
       IF(lwp) THEN
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diahsb.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diahsb.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diahsb.F90	(revision 10968)
@@ -211,5 +211,5 @@
          CALL iom_put( 'bgvole3t' , zdiff_v2 * 1.e-9    )              ! volume e3t drift      (km3)  
          !
-         IF( kt == nitend .AND. lwp ) THEN
+         IF( kt == nitend .AND. lwp) THEN
             WRITE(numout,*)
             WRITE(numout,*) 'dia_hsb : last time step hsb diagnostics: at it= ', kt,' date= ', ndastp
@@ -310,7 +310,7 @@
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
          !                                   ! -------------------
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) '   dia_hsb_rst : write restart at it= ', kt,' date= ', ndastp
-         IF(lwp) WRITE(numout,*)
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '   dia_hsb_rst : write restart at it= ', kt,' date= ', ndastp
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)
          !
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
@@ -366,5 +366,5 @@
       READ  ( numnam_cfg, namhsb, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namhsb in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namhsb )
+      IF(lwm  .AND. nprint > 2) WRITE( numond, namhsb )
 
       IF(lwp) THEN
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaptr.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaptr.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diaptr.F90	(revision 10968)
@@ -398,5 +398,5 @@
       READ  ( numnam_cfg, namptr, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namptr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namptr )
+      IF(lwm.AND. nprint > 2) WRITE ( numond, namptr )
 
       IF(lwp) THEN                     ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diatmb.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diatmb.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DIA/diatmb.F90	(revision 10968)
@@ -48,5 +48,5 @@
       READ  ( numnam_cfg, nam_diatmb, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nam_diatmb in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nam_diatmb )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_diatmb )
 
       IF(lwp) THEN                   ! Control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/daymod.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/daymod.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/daymod.F90	(revision 10968)
@@ -269,7 +269,7 @@
          CALL ymds2ju( nyear, 01, 01, 0.0, fjulstartyear )
          !
-         IF(lwp) WRITE(numout,'(a,i8,a,i4.4,a,i2.2,a,i2.2,a,i3.3)') '======>> time-step =', kt,   &
+         IF(lwp .AND. nprint > 0) WRITE(numout,'(a,i8,a,i4.4,a,i2.2,a,i2.2,a,i3.3)') '======>> time-step =', kt,   &
               &   '      New day, DATE Y/M/D = ', nyear, '/', nmonth, '/', nday, '      nday_year = ', nday_year
-         IF(lwp) WRITE(numout,'(a,i8,a,i7,a,i5)') '         nsec_year = ', nsec_year,   &
+         IF(lwp .AND. nprint > 0) WRITE(numout,'(a,i8,a,i7,a,i5)') '         nsec_year = ', nsec_year,   &
               &   '   nsec_month = ', nsec_month, '   nsec_day = ', nsec_day, '   nsec_week = ', nsec_week
       ENDIF
@@ -402,7 +402,9 @@
          !
          IF( kt == nitrst ) THEN
-            IF(lwp) WRITE(numout,*)
-            IF(lwp) WRITE(numout,*) 'rst_write : write oce restart file  kt =', kt
-            IF(lwp) WRITE(numout,*) '~~~~~~~'
+            IF(lwp .AND. nprint > 0) THEN
+               WRITE(numout,*)
+               WRITE(numout,*) 'rst_write : write oce restart file  kt =', kt
+               WRITE(numout,*) '~~~~~~~'
+            ENDIF
          ENDIF
          ! calendar control
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/domain.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/domain.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/domain.F90	(revision 10968)
@@ -312,5 +312,5 @@
       READ  ( numnam_cfg, namrun, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namrun in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namrun )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namrun )
       !
       IF(lwp) THEN                  ! control print
@@ -405,5 +405,5 @@
       READ  ( numnam_cfg, namdom, IOSTAT = ios, ERR = 904 )
 904   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdom in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namdom )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namdom )
       !
       IF(lwp) THEN
@@ -437,5 +437,5 @@
       READ  ( numnam_cfg, namnc4, IOSTAT = ios, ERR = 908 )
 908   IF( ios >  0 )   CALL ctl_nam ( ios , 'namnc4 in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namnc4 )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namnc4 )
 
       IF(lwp) THEN                        ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/dommsk.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/dommsk.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/dommsk.F90	(revision 10968)
@@ -110,5 +110,5 @@
       READ  ( numnam_cfg, namlbc, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namlbc in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namlbc )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namlbc )
       
       IF(lwp) THEN                  ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/domvvl.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/domvvl.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/domvvl.F90	(revision 10968)
@@ -952,5 +952,5 @@
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
          !                                   ! ===================
-         IF(lwp) WRITE(numout,*) '---- dom_vvl_rst ----'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '---- dom_vvl_rst ----'
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          !                                           ! --------- !
@@ -997,5 +997,5 @@
       READ  ( numnam_cfg, nam_vvl, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nam_vvl in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nam_vvl )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_vvl )
       !
       IF(lwp) THEN                    ! Namelist print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/domzgr.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/domzgr.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/DOM/domzgr.F90	(revision 10968)
@@ -147,5 +147,5 @@
 !!gm end bug
       !
-      IF( nprint == 1 .AND. lwp )   THEN
+      IF( nprint > 3 .AND. lwp )   THEN
          WRITE(numout,*) ' MIN val k_top   ', MINVAL(   k_top(:,:) ), ' MAX ', MAXVAL( k_top(:,:) )
          WRITE(numout,*) ' MIN val k_bot   ', MINVAL(   k_bot(:,:) ), ' MAX ', MAXVAL( k_bot(:,:) )
